//Copyright 2019, REC Robotics Equipment Corporation Gmbh, Planegg, Germany

var cryptoObj = window.crypto || window.msCrypto;

function uuidv4() {
//https://stackoverflow.com/questions/105034/create-guid-uuid-in-javascript
  return ([1e7]+-1e3+-4e3+-8e3+-1e11).replace(/[018]/g, c =>
    (c ^ cryptoObj.getRandomValues(new Uint8Array(1))[0] & 15 >> c / 4).toString(16)
  )
}

var RobotinoRESTsession = sessionStorage.getItem('RobotinoRESTsession');
if (!RobotinoRESTsession)
{
	RobotinoRESTsession = uuidv4();
	console.log("New SID " + RobotinoRESTsession)
	sessionStorage.setItem('RobotinoRESTsession', RobotinoRESTsession);
}

function endSession()
{
	sessionStorage.removeItem('RobotinoRESTsession');
}