#!/bin/bash

systemctl stop restapid
systemctl stop rpcd

DEFAULT_FILES="/etc/hostapd.conf
/etc/default/isc-dhcp-server
/etc/dhcp/dhcpd.conf
/etc/network/interfaces
/etc/udev/rules.d/99-wlan.rules"

for f in $DEFAULT_FILES
do
  echo Restoring $f
  cp $f.default $f
done

ifdown wlan0

nmcli con down wlan0

NM_CONF_FILE="/etc/NetworkManager/system-connections/wlan0"
rm -f "$NM_CONF_FILE"

ifup wlan0

/opt/robotino/scripts/configure_eth0.sh auto "" "" "" "" yes 192.168.0.1 24 0.0.0.0 no "" "" ""

service rpcd start
systemctl start restapid