#!/bin/bash

SERVICES=(rpcd
controld3
camd2
laserd3_serial
laserd3_ethernet
gyrod
grapplerd
restapid
realsensed
joystickd@js0)

STOPSERVICES=(ftdid@0
ftdid@1
ftdid@2
ftdid@3
joystickd@js1
joystickd@js2
joystickd@js3)

for s in "${SERVICES[@]}"
do
  echo $1 $s
  systemctl $1 $s
done

if [ "stop" == "$1" ]; then
for s in "${STOPSERVICES[@]}"
do
  echo $1 $s
  systemctl $1 $s
done
else
/sbin/udevadm trigger
fi
